Page MenuHomePhabricator

ui.relative_layout: add callbacks to update layout
ClosedPublic

Authored by YOhoho on Apr 16 2019, 11:35 PM.

Details

Summary

If the size or hints of a child changes, relative_layout need to update layout.
And, if a child is deleted, it should be unregisterd from relative_layout.

Depends on D8625

Test Plan

elementary_test -to 'efl.ui.relative_layout'

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Apr 16 2019, 11:35 PM
YOhoho requested review of this revision.Apr 16 2019, 11:35 PM
YOhoho updated this revision to Diff 21394.Apr 17 2019, 12:48 AM

remove needless efl_pack_layout_request

YOhoho updated this revision to Diff 21395.Apr 17 2019, 12:51 AM
YOhoho edited the test plan for this revision. (Show Details)

indentation fix

Jaehyun_Cho accepted this revision.Apr 23 2019, 1:42 AM
This revision is now accepted and ready to land.Apr 23 2019, 1:42 AM
Closed by commit rEFL9b87eaee0884: ui.relative_layout: add callbacks to update layout (authored by Yeongjong Lee <yj34.lee@samsung.com>, committed by Jaehyun_Cho). · Explain WhyApr 24 2019, 5:02 AM
This revision was automatically updated to reflect the committed changes.